import Vue from 'vue'
import router from './router'
import store from './store'
// import { sync } from 'vuex-router-sync'
import Meta from 'vue-meta'
import Vue2TouchEvents from 'vue2-touch-events'

import App from './App'

import 'assets/css/mdi/css/materialdesignicons.css'
// import 'mdi/font'
import 'vue-select/src/scss/vue-select.scss'
import 'assets/css/app.scss'

Vue.use(Meta)
Vue.use(Vue2TouchEvents)

// Define the api path regarding the environment
// https://apple.stackexchange.com/questions/17077/add-a-hosts-file-entry-without-jailbreaking
// window.apipath = process.env === 'prod' || window.location.hostname === 'dev.gdp.fr' ? `http://${window.location.hostname}/api` : 'http://localhost:8984'

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
